List Wallets
curl --request GET \
--url https://api.openxswitch.com/v2/wallets/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v2/wallets/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v2/wallets/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "8e6f5877-d71a-4017-a3eb-3d1d4464e274",
"address": "0x1234567890123456789012345678901234567890",
"blockchain": "ethereum",
"protocol": "EVM",
"network": "mainnet",
"isEvmCompatible": true,
"type": "smart_wallet",
"intent": "deposit",
"gaslessWithdraw": true,
"autoSweep": true,
"state": "LIVE",
"custodyType": "DEVELOPER",
"userId": "user_1",
"accountId": "WALLET_ACCOUNT_ID",
"workspaceId": "WORKSPACE_ID",
"createdAt": "2022-01-01T00:00:00.000Z",
"updatedAt": "2022-01-01T00:00:00.000Z",
"decimals": 18,
"name": "Wallet 1",
"refId": "WALLET_REF_ID"
}
],
"totalPage": 123,
"pageNo": 123,
"pageLimit": 123
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Wallets
List Wallets
Retrieve a paginated list of wallets with optional filters for account, blockchain, and environment.
GET
/
v2
/
wallets
/
list
List Wallets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by Account ID. The unique identifier of the Account
Example:
"123e4567-e89b-12d3-a456-426614174000"
Filter by wallet address
Example:
"0x1234567890123456789012345678901234567890"
Filter by reference ID
Example:
"ref_user_1"
Filter by blockchain network. The chain. Can be either the blockchain name or slug.
Refer to the Get Supported Blockchains endpoint for the list of supported blockchains.
Example:
"ethereum"
The page number for pagination
The number of items per page for pagination
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)